itpp::Square_Source Class Reference
Signal Processing (SP) Module » Deterministic Sources

Square-wave source. More...

`#include <itpp/signal/source.h>`

## Public Member Functions

| Square_Source (double freq, double mean=0.0, double ampl=1.0, double inphase=0.0)
| Constructor. Set frequency, mean, amplitude, and start phase.
double | operator() ()
| Return a single sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Square-wave source.

Definition at line 65 of file source.h.

The documentation for this class was generated from the following files:

- itpp/signal/source.h
- itpp/signal/source.cpp

Generated on Tue Aug 17 2021 10:59:15 for IT++ by Doxygen 1.9.1